<!DOCTYPE html>
<html
  xmlns:th="http://www.thymeleaf.org"
  xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
  layout:decorate="~{layout}"
>
  <head>
    <meta charset="UTF-8" />
    <title>Title</title>
  </head>
  <body>
    <section layout:fragment="breadcrumb" class="content-header">
      <h1>
        REPORTED
        <small>List Data</small>
      </h1>
      <ol class="breadcrumb">
        <li class="treeview active">Finance</li>
        <li class="active">Cash Disbursement</li>
      </ol>
    </section>

    <section layout:fragment="main" class="content">
      <div class="row">
        <div class="col-md-3">
          <div class="box box-solid">
            <div class="box-header with-border">
              <h3 class="box-title">Folders</h3>

              <div class="box-tools">
                <button
                  type="button"
                  class="btn btn-box-tool"
                  data-widget="collapse"
                >
                  <i class="fa fa-minus"></i>
                </button>
              </div>
            </div>
            <div class="box-body no-padding">
              <ul class="nav nav-pills nav-stacked">
                <li>
                  <a th:href="@{/keuangan/pencairan}"
                    ><i class="fa fa-inbox"></i> Request
                    <span
                      th:if="${jumlahRequest} > 0"
                      class="label label-warning pull-right"
                      th:text="${jumlahRequest}"
                      >12</span
                    ></a
                  >
                </li>

                <li>
                  <a th:href="@{/keuangan/pencairan/open}"
                    ><i class="fa fa-inbox"></i> Open
                    <span
                      th:if="${jumlahOpenCair} > 0"
                      class="label label-success pull-right"
                      th:text="${jumlahOpenCair}"
                      >12</span
                    ></a
                  >
                </li>

                <li>
                  <a th:href="@{/keuangan/pencairan/waitingreport}"
                    ><i class="fa fa-inbox"></i> Waiting For Reports
                    <span
                      th:if="${jumlahClosedPencairan} > 0"
                      class="label label-danger pull-right"
                      th:text="${jumlahClosedPencairan}"
                      >12</span
                    ></a
                  >
                </li>

                <li class="active">
                  <a th:href="@{/keuangan/pencairan/report}"
                    ><i class="fa fa-inbox"></i> Approval Reporting
                    <span
                      th:if="${jumlahLaporan} > 0"
                      class="label label-warning pull-right"
                      th:text="${jumlahLaporan}"
                      >12</span
                    ></a
                  >
                </li>

                <li>
                  <a th:href="@{/keuangan/pencairan/reportrejected}"
                    ><i class="fa fa-inbox"></i> Reported Rejected
                    <span
                      th:if="${jumlahLaporanRejected} > 0"
                      class="label label-danger pull-right"
                      th:text="${jumlahLaporanRejected}"
                      >12</span
                    ></a
                  >
                </li>

                <li>
                  <a th:href="@{/keuangan/pencairan/closed}"
                    ><i class="fa fa-inbox"></i> Closed</a
                  >
                </li>

                <li>
                  <a th:href="@{/keuangan/pencairan/rejected}"
                    ><i class="fa fa-inbox"></i> Rejected
                  </a>
                </li>

                <li>
                  <a th:href="@{/keuangan/pencairan/approval_refund}"
                    ><i class="fa fa-inbox"></i> Approval Refund
                    <span
                      th:if="${jumlahApprovalRefund} != null"
                      class="label label-success pull-right"
                      th:text="${jumlahApprovalRefund}"
                      >12</span
                    ></a
                  >
                </li>

                <li>
                  <a th:href="@{/keuangan/pencairan/refund_closed}"
                    ><i class="fa fa-inbox"></i> Refund Closed</a
                  >
                </li>

                <li>
                  <a th:href="@{/keuangan/pencairan/all}"
                    ><i class="fa fa-inbox"></i> All
                  </a>
                </li>
              </ul>
            </div>
            <!-- /.box-body -->
          </div>
        </div>
        <!-- /.col -->
        <div class="col-md-9">
          <div
            class="alert alert-success"
            role="alert"
            th:if="${success != null}"
          >
            Save date successfull....
          </div>
          <div
            class="alert alert-danger"
            role="alert"
            th:if="${unsuccess != null}"
          >
            Save data failed....
          </div>

          <div class="callout callout-danger" th:if="${gagal != null}">
            <h4>Save Data Gagal!</h4>

            <p>Isi keterangan jika ingin menolak laporan.</p>
          </div>

          <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
              <li class="active">
                <a href="#waiting" data-toggle="tab"
                  >Waiting For Approval Reporting</a
                >
              </li>
            </ul>
            <div class="tab-content">
              <div class="active tab-pane" id="waiting">
                <div class="box-body no-padding">
                  <form method="get">
                    <div class="row">
                      <div class="col-md-12">
                        <p>
                          Parameter tahun dan bulan diambil dari tanggal
                          laporan..
                        </p>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-md-4">
                        <div class="col-md-6">
                          <select
                            class="form-control"
                            id="selectdua"
                            name="tahun"
                          >
                            <option>-</option>
                            <option
                              th:each="data : ${listTahun}"
                              th:selected="(${data} == *{tahunSelected})"
                              th:text="${data.getTahun()}"
                              th:value="${data.getTahun()}"
                            >
                              sdasd
                            </option>
                          </select>
                        </div>
                        <div class="col-md-6">
                          <select
                            class="form-control"
                            id="selecttiga"
                            name="bulan"
                          >
                            <option>-</option>
                            <option
                              th:each="data : ${listBulan}"
                              th:selected="(${data} == *{bulanSelected})"
                              th:text="${data.getNama()}"
                              th:value="${data.getBulan()}"
                            >
                              sdasd
                            </option>
                          </select>
                        </div>
                      </div>
                      <div class="col-md-1" align="right">
                        <button
                          type="submit"
                          class="btn btn-default"
                          style="--bs-btn-bg: #e8ecf1"
                        >
                          Chose
                        </button>
                      </div>
                    </div>
                    <br />
                  </form>
                  <div
                    class="row"
                    th:each="dataLaporanDana,row : ${listLaporanDana}"
                  >
                    <div class="col-md-12">
                      <div class="box box-warning box-solid">
                        <div class="box-header with-border">
                          <div class="col-md-6">
                            <span
                              class="info-box-text"
                              th:text="${dataLaporanDana[9]+' - '+dataLaporanDana[11]}"
                              >Removable</span
                            >
                          </div>
                          <div class="col-md-6" align="right">
                            <span
                              class="info-box-text"
                              th:text="${dataLaporanDana[10]}"
                            ></span>
                          </div>
                        </div>
                        <!-- /.box-header -->
                        <div class="box-body">
                          <div class="col-md-2">
                            <!--<img class="img-thumbnail" th:src="@{/laporandana/{laporanDana}/bukti/(laporanDana = ${dataLaporanDana.id})}" alt="Attachment Image">
  -->                       <a
                                    class="btn btn-primary btn-xs"
                                    th:href="@{/laporan_dana/bukti(laporanDana = ${dataLaporanDana[0]})}"
                                    target="_blank"
                            >
                              View Attachment
                            </a>

                            <br />

                            <!--                                                <a class="btn btn-success btn-xs" th:href="@{/laporandana/bukti/download(laporanDana=${dataLaporanDana.getId()})}"></a>-->
                          </div>

                          <div class="col-md-10">
                            <div class="box box-warning">
                              <div class="box-body">
                                <table class="table table-bordered">
                                  <tr>
                                    <td
                                      colspan="3"
                                      th:text="${dataLaporanDana[1]+' - '+dataLaporanDana[2]}"
                                    >
                                      1.
                                    </td>
                                  </tr>
                                  <tr>
                                    <td
                                      colspan="3"
                                      th:text="${dataLaporanDana[3]}"
                                    >
                                      1.
                                    </td>
                                  </tr>
                                  <tr>
                                    <td
                                      colspan="3"
                                      th:text="${dataLaporanDana[4]+' '+dataLaporanDana[5]}"
                                    >
                                      1.
                                    </td>
                                  </tr>
                                  <tr>
                                    <td>Total Pengajuan</td>
                                    <td>Total Pencairan</td>
                                    <td>Total Realisasi</td>
                                  </tr>
                                  <tr>
                                    <td
                                      th:text="${#numbers.formatDecimal(dataLaporanDana[6], 0, 'POINT', 2, 'COMMA')}"
                                    >
                                      >1.
                                    </td>
                                    <td
                                      th:text="${#numbers.formatDecimal(dataLaporanDana[7], 0, 'POINT', 2, 'COMMA')}"
                                    ></td>
                                    <td
                                      th:text="${#numbers.formatDecimal(dataLaporanDana[8], 0, 'POINT', 2, 'COMMA')}"
                                    ></td>
                                  </tr>
                                </table>
                              </div>
                              <!-- /.box-body -->
                            </div>
                            <!-- /.box -->
                          </div>
                        </div>

                        <div class="box-footer">
                          <div class="btn-group">
                            <form
                              method="post"
                              th:action="@{/keuangan/pencairan/close(laporanDana=${dataLaporanDana[0]})}"
                            >
                              <button
                                type="submit"
                                class="btn btn-success btn-xs"
                                onclick="return confirm('Are you sure want to confirm this?')"
                              >
                                Confirm
                              </button>
                            </form>
                          </div>

                          <div class="btn-group">
                            <button
                              type="button"
                              class="btn btn-danger btn-xs"
                              data-toggle="modal"
                              data-target="#modal-reject"
                              th:attr="data-target='#modal-reject'+${dataLaporanDana[0]}"
                            >
                              Reject
                            </button>
                          </div>
                        </div>
                      </div>
                    </div>

                    <div
                      class="modal fade"
                      th:id="modal-reject+${dataLaporanDana[0]}"
                    >
                      <div class="modal-dialog">
                        <div class="modal-content">
                          <div class="modal-header">
                            <button
                              type="button"
                              class="close"
                              data-dismiss="modal"
                              aria-label="Close"
                            >
                              <span aria-hidden="true">&times;</span>
                            </button>
                            <h4 class="modal-title">Report Rejected Form</h4>
                          </div>

                          <form
                            method="post"
                            th:action="@{/keuangan/laporandana/reject(laporanDana1=${dataLaporanDana[0]})}"
                            th:object="${laporanDana}"
                            enctype="multipart/form-data"
                          >
                            <div class="modal-body">
                              <div class="row">
                                <div class="col-md-12">
                                  <div class="form-group">
                                    <label
                                      for="inputKeterangan"
                                      class="col-sm-2 control-label"
                                      >Comment</label
                                    >

                                    <div class="col-sm-10">
                                      <textarea
                                        class="form-control"
                                        rows="3"
                                        th:field="*{keterangan}"
                                        name="ketarangan"
                                        id="inputKeterangan"
                                        placeholder="Keterangan ..."
                                      ></textarea>
                                    </div>
                                  </div>
                                </div>
                              </div>
                            </div>
                            <div class="modal-footer">
                              <button
                                type="button"
                                class="btn btn-default pull-left"
                                data-dismiss="modal"
                              >
                                Close
                              </button>

                              <button
                                type="submit"
                                class="btn btn-danger pull-right"
                              >
                                Reject
                              </button>
                            </div>
                          </form>
                        </div>
                        <!-- /.modal-content -->
                      </div>
                      <!-- /.modal-dialog -->
                    </div>
                  </div>
                </div>
                <div class="box-footer no-padding">
                  <div class="box-footer clearfix">
                    <ul
                      class="pagination pagination-sm no-margin pull-right"
                      sd:pagination="full"
                    >
                      <li class="disabled">
                        <a href="#" aria-label="Previous"
                          ><span aria-hidden="true">&laquo;</span></a
                        >
                      </li>
                      <li class="active">
                        <a href="#">1 <span class="sr-only">(current)</span></a>
                      </li>
                    </ul>
                  </div>
                </div>
              </div>
              <!-- /.tab-pane -->
            </div>
            <!-- /.tab-content -->
          </div>
          <!-- /.nav-tabs-custom -->
        </div>
      </div>
    </section>

    <section layout:fragment="footer" class="script">
      <script>
        $(function () {
          //Initialize Select2 Elements
          $(".select2").select2();

          //Datemask dd/mm/yyyy
          $("#datemask").inputmask("dd/mm/yyyy", { placeholder: "dd/mm/yyyy" });
          //Datemask2 mm/dd/yyyy
          $("#datemask2").inputmask("mm/dd/yyyy", {
            placeholder: "mm/dd/yyyy",
          });
          //Money Euro
          $("[data-mask]").inputmask();

          //Date range picker
          $("#reservation").daterangepicker();
          //Date range picker with time picker
          $("#reservationtime").daterangepicker({
            timePicker: true,
            timePickerIncrement: 30,
            locale: { format: "MM/DD/YYYY hh:mm A" },
          });
          //Date range as a button
          $("#daterange-btn").daterangepicker(
            {
              ranges: {
                Today: [moment(), moment()],
                Yesterday: [
                  moment().subtract(1, "days"),
                  moment().subtract(1, "days"),
                ],
                "Last 7 Days": [moment().subtract(6, "days"), moment()],
                "Last 30 Days": [moment().subtract(29, "days"), moment()],
                "This Month": [
                  moment().startOf("month"),
                  moment().endOf("month"),
                ],
                "Last Month": [
                  moment().subtract(1, "month").startOf("month"),
                  moment().subtract(1, "month").endOf("month"),
                ],
              },
              startDate: moment().subtract(29, "days"),
              endDate: moment(),
            },
            function (start, end) {
              $("#daterange-btn span").html(
                start.format("MMMM D, YYYY") +
                  " - " +
                  end.format("MMMM D, YYYY")
              );
            }
          );

          //Date picker
          $("#datepicker").datepicker({
            autoclose: true,
          });

          //iCheck for checkbox and radio inputs
          $(
            'input[type="checkbox"].minimal, input[type="radio"].minimal'
          ).iCheck({
            checkboxClass: "icheckbox_minimal-blue",
            radioClass: "iradio_minimal-blue",
          });
          //Red color scheme for iCheck
          $(
            'input[type="checkbox"].minimal-red, input[type="radio"].minimal-red'
          ).iCheck({
            checkboxClass: "icheckbox_minimal-red",
            radioClass: "iradio_minimal-red",
          });
          //Flat red color scheme for iCheck
          $(
            'input[type="checkbox"].flat-red, input[type="radio"].flat-red'
          ).iCheck({
            checkboxClass: "icheckbox_flat-green",
            radioClass: "iradio_flat-green",
          });

          //Colorpicker
          $(".my-colorpicker1").colorpicker();
          //color picker with addon
          $(".my-colorpicker2").colorpicker();

          //Timepicker
          $(".timepicker").timepicker({
            showInputs: false,
          });
        });
      </script>
      <script>
        $(".js-example-placeholder-single").select2({
          placeholder: "Pilih Salah Satu",
          allowClear: true,
        });

        $(".simpan").click(function () {
          Swal.fire({
            position: "top-end",
            type: "success",
            title: "Your work has been saved",
            showConfirmButton: false,
          });
        });
      </script>

      <script th:inline="javascript" type="text/javascript">
        function openReservationModal(id) {
          $.ajax({
            url: "/reservations/details/" + id,
            success: function (data) {
              console.log(data);
              $("#modalHolder").html(data);
              $("#reservationModal").modal("show");
            },
          });
        }
      </script>
    </section>
  </body>
</html>
